Get configuration metric extension data source for a target
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/targets/{targetId}/configMetricGroups/{metricName}/{dataSourceName}
Returns details of the specified configuration extension data source and its metrics for the target.
Request
Path Parameters
-
dataSourceName(required): string
Data source name.
-
metricName(required): string
Metric group name.
-
targetId(required): string
the target id
Query Parameters
-
containerSnapshotId: string
Container snapshot identifier (optional).
-
isConfigExtension(required): boolean
Required. true for configuration extension metrics, false for built-in metrics.
-
limit: integer(int32)
Minimum Value:
1Maximum Value:2000to limit the number of rows returned. If the result set is greater follow the previous and next links in the results.Example:20 -
page: string
system generated page token used in the self, next and previous links.
-
sort: string
Sort results as field:direction (example: id:ASC).Example:
id:ASC
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
OK
Root Schema : ConfigPropertiesTable
Type:
objectConfiguration metric results in a tabular format. Includes column metadata and rows returned as JSON objects where keys are column names.
Show Source
-
columnDisplayNames: array
columnDisplayNames
Display names for the columns in the same order as columnNames.
-
columnNames: array
columnNames
Array of column names.
-
count: integer
Number of rows returned in this response.
-
items: array
items
Rows of the configuration table. Each row is a JSON object mapping column name to value.
-
links: object
links
Result set navigation links (self/next/previous when available).
-
metricName: string
Metric name.Example:
MetricName -
targetId: string
Target identifier.Example:
TargetId -
targetName: string
Target name.Example:
TargetName -
targetTypeName: string
Target type name.Example:
TargetTypeName -
timeCollected: string
Time collected.Example:
14-01-2026 -
total: integer
Total number of rows available.
Nested Schema : columnDisplayNames
Type:
arrayDisplay names for the columns in the same order as columnNames.
Show Source
Example:
[
"columnDisplayName1",
"columnDisplayName2"
]Nested Schema : columnNames
Type:
arrayArray of column names.
Show Source
Example:
[
"columnName1",
"columnName2"
]Nested Schema : items
Type:
arrayRows of the configuration table. Each row is a JSON object mapping column name to value.
Show Source
-
Array of:
object items
Additional Properties Allowed: additionalProperties
Nested Schema : links
Type:
objectResult set navigation links (self/next/previous when available).
401 Response
client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
internal error serving the request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
indicates that a required service is not available.
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description